/*
 * Copyright (C) 2018-2023 Velocity Contributors
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package com.velocitypowered.natives;

/**
 * Thrown when we cannot set up a variant of a native library.
 */
public class NativeSetupException extends RuntimeException {

  public NativeSetupException() {
  }

  public NativeSetupException(String message) {
    super(message);
  }

  public NativeSetupException(String message, Throwable cause) {
    super(message, cause);
  }

  public NativeSetupException(Throwable cause) {
    super(cause);
  }

  public NativeSetupException(String message, Throwable cause, boolean enableSuppression,
      boolean writableStackTrace) {
    super(message, cause, enableSuppression, writableStackTrace);
  }
}
